add lookahead scripts and configs for other variants

This commit is contained in:
Louis Abel 2023-09-03 15:50:28 -07:00
parent 8355f5bdd0
commit 5fafd7f3d2
Signed by: label
GPG Key ID: B37E62D143879B36
8 changed files with 314 additions and 4 deletions

61
extraslh.conf Normal file
View File

@ -0,0 +1,61 @@
from shared/extras import *
release_name = "Rocky Linux Extras"
release_short = "Extras"
release_version = "8"
release_is_layered = False
variants_file='variants-extras.xml'
sigkeys = ['6D745A60']
create_jigdo = False
pkgset_source='koji'
pkgset_koji_tag='dist-rocky8-lookahead-compose'
gather_method = {
'^.*': { # For all variants
'comps': 'nodeps', # resolve dependencies for packages from comps file
'module': 'nodeps', # but not for packages from modules
}
}
gather_backend = 'dnf'
greedy_method = 'build'
koji_profile = "koji"
createrepo_deltas = False
createrepo_database = True
createrepo_c = True
createrepo_checksum = "sha256"
createrepo_use_xz = True
createrepo_num_threads = 8
createrepo_num_workers = 8
createrepo_extra_args = ['--distro=cpe:/o:rocky:rocky:8,Rocky Linux 8', '--revision=8.9']
hashed_directories = True
check_deps = False
#filter_packages = [
# ('^extras$', {
# '*': [
# 'rocky-gpg-keys',
# 'rocky-repos',
# ],
# }),
#]
#additional_packages = [
# ('^extras$', {
# '*': [
# '*',
# ],
# }),
#]
createiso_skip = [
('^extras$', {
'*': True,
'src': True
}),
]

View File

@ -26,7 +26,7 @@ createrepo_num_workers = 8
createrepo_extra_args = ['--distro=cpe:/o:rocky:rocky:8,Rocky Linux 8', '--revision=8.9']
hashed_directories = True
pkgset_koji_tag='dist-rocky8-plus-compose'
pkgset_koji_tag='dist-rocky8-compose'
################################################################################
# WARNING
@ -60,9 +60,6 @@ filter_packages = [
additional_packages = [
('^plus$', {
'*': [
'mesa',
],
'aarch64': [
'open-vm-tools',
'open-vm-tools-desktop',

78
pluslh.conf Normal file
View File

@ -0,0 +1,78 @@
release_name = "Rocky-Plus"
release_short = "Plus"
release_version = "8"
release_is_layered = False
variants_file='variants-plus.xml'
sigkeys = ['6D745A60']
create_jigdo = False
pkgset_source='koji'
#comps_file = {
# 'scm': 'git',
# 'repo': 'https://git.rockylinux.org/rocky/comps.git',
# 'branch': 'main',
# 'file': 'comps-rocky-8-plus.xml',
#}
createrepo_deltas = False
createrepo_database = True
createrepo_c = True
createrepo_checksum = "sha256"
createrepo_use_xz = True
createrepo_num_threads = 8
createrepo_num_workers = 8
createrepo_extra_args = ['--distro=cpe:/o:rocky:rocky:8,Rocky Linux 8', '--revision=8.9']
hashed_directories = True
pkgset_koji_tag='dist-rocky8-lookahead-compose'
################################################################################
# WARNING
#
# Below says "nodeps" for a reason. There are packages that are here that have
# deps in the main repos. If there are deps that aren't coming in that need to
# be here, you will need to list them in the additional_packages section.
################################################################################
gather_method = {
'^.*': { # For all variants
'comps': 'nodeps', # resolve dependencies for packages from comps file
'module': 'nodeps', # but not for packages from modules
}
}
gather_backend = 'dnf'
greedy_method = 'build'
koji_profile = "koji"
check_deps = False
filter_packages = [
('^extras$', {
'*': [
'*',
],
}),
]
additional_packages = [
('^plus$', {
'aarch64': [
'open-vm-tools',
'open-vm-tools-desktop',
'open-vm-tools-sdmp',
'open-vm-tools-sdmp-salt-minion',
],
}),
]
createiso_skip = [
('^plus$', {
'*': True,
'src': True
}),
]

65
rocky-devel-lh.conf Normal file
View File

@ -0,0 +1,65 @@
from shared/variables import *
from rocky/variables import *
from rocky/lh_variables import *
from shared/all import *
from rocky/override import *
# PRODUCT INFO
release_name = "Rocky Development"
release_short = "Rocky-devel"
version = "8-devel"
skip_phases = ['buildinstall','productimg','createiso','extra_isos','extra_files']
# GENERAL SETTINGS
multilib = [
('^.*$', {
'x86_64': ['devel', 'runtime']
}),
]
variants_file = 'variants-devel.xml'
sigkeys = ['6D745A60']
hashed_directories = True
# tree_arches = ['aarch64', 'i386', 'ppc64le', 'x86_64']
tree_arches = ['aarch64', 'i686', 'x86_64']
# PKGSET
koji_profile = "koji"
# PKGSET - KOJI
filter_system_release_packages = False
# GATHER
gather_prepopulate = "devel-prepopulate.json"
gather_selfhosting = True
gather_method = "deps"
gather_backend = "dnf"
check_deps = False
greedy_method = "none"
repoclosure_backend = "dnf"
# CHECKSUMS
media_checksums = ['sha256']
media_checksum_one_file = True
create_jigdo = False
buildinstall_skip = [
("^(devel|AppStream|PowerTools|HighAvailability|ResilientStorage)$", {
"*": True
}),
]
# LOOKASIDE
variant_as_lookaside = [
]
gather_lookaside_repos = [
]
productimg = False
comps_file = ""

View File

@ -0,0 +1,8 @@
#!/bin/bash
source "$(dirname "$0")/common-8"
export PATH=/usr/sbin:/usr/bin:/root/bin
bash produce-8-lookahead.sh
bash updates-8-devel-lookahead.sh
bash updates-8-extras-lookahead.sh
bash updates-8-plus-lookahead.sh

View File

@ -0,0 +1,40 @@
#!/bin/bash
source "$(dirname "$0")/common-8"
export PATH=/usr/sbin:/usr/bin:/root/bin
TARGET_DIR="/mnt/compose/8"
SHORT=devel
CONFIG=/etc/pungi-prod/rocky-devel.conf
# Unused for now
OLDCOMPOSE_ID=$(cat $TARGET_DIR/latest-Rocky-$SHORT-8/COMPOSE_ID)
SKIP="--skip-phase buildinstall --skip-phase createiso --skip-phase extra_isos --skip-phase productimg"
LABEL="--production --no-label"
CMD="pungi-koji --config=$CONFIG --old-composes=$TARGET_DIR $SKIP $LABEL"
#COMPOSE_ID="Rocky-8-20210625.n.0"
if [ -z "$COMPOSE_ID" ]; then
CMD="$CMD --target-dir=$TARGET_DIR"
else
CMD="$CMD --debug-mode --compose-dir=$TARGET_DIR/$COMPOSE_ID"
fi
time $CMD
ret_val=$?
if [[ "$ret_val" != "0" ]]; then
if [[ "$MAILNOTIF" == "yes" ]]; then
echo "This is a notification that a recent lookahead $SHORT compose failed on $(hostname)" | mutt -e "set from=\"$FROM\"" \
-e 'set envelope_from=yes' \
-s "Compose $NEWCOMPOSE_ID failed (for Rocky Linux $REVISION)" \
releng@rockylinux.org
fi
exit 1
fi
if [ $? -eq 0 ]; then
pushd "${TARGET_DIR}/latest-Rocky-$SHORT-8/compose/$SHORT" || { echo "Could not switch."; exit 1; }
echo "Moving i386 to i686"
mv i386 i686
popd || { echo "Could not switch."; exit 1; }
fi

View File

@ -0,0 +1,30 @@
#!/bin/bash
source "$(dirname "$0")/common-8"
TARGET_DIR="/mnt/compose/8"
SHORT=Extras
CONFIG=/etc/pungi-prod/extras.conf
# Unused for now
OLDCOMPOSE_ID=$(cat $TARGET_DIR/latest-$SHORT-8/COMPOSE_ID)
SKIP="--skip-phase buildinstall --skip-phase createiso --skip-phase extra_isos --skip-phase productimg"
LABEL="--production --label RC-8.9"
CMD="pungi-koji --config=$CONFIG --old-composes=$TARGET_DIR $OLD_COMPOSES_DIR $SKIP $LABEL"
if [ -z "$COMPOSE_ID" ]; then
CMD="$CMD --target-dir=$TARGET_DIR"
else
CMD="$CMD --debug-mode --compose-dir=$TARGET_DIR/$COMPOSE_ID"
fi
time $CMD
ret_val=$?
if [[ "$ret_val" != "0" ]]; then
if [[ "$MAILNOTIF" == "yes" ]]; then
echo "This is a notification that a recent lookahead $SHORT compose failed on $(hostname)" | mutt -e "set from=\"$FROM\"" \
-e 'set envelope_from=yes' \
-s "Compose $NEWCOMPOSE_ID failed (for Rocky Linux $REVISION)" \
releng@rockylinux.org
fi
exit 1
fi

View File

@ -0,0 +1,31 @@
#!/bin/bash
source "$(dirname "$0")/common-8"
TARGET_DIR="/mnt/compose/8"
SHORT=Plus
CONFIG=/etc/pungi-prod/plus.conf
# Unused for now
OLDCOMPOSE_ID=$(cat $TARGET_DIR/latest-$SHORT-8/COMPOSE_ID)
SKIP="--skip-phase buildinstall --skip-phase createiso --skip-phase extra_isos --skip-phase productimg"
LABEL="--production --label RC-8.9"
CMD="pungi-koji --config=$CONFIG --old-composes=$TARGET_DIR $OLD_COMPOSES_DIR $SKIP $LABEL"
if [ -z "$COMPOSE_ID" ]; then
CMD="$CMD --target-dir=$TARGET_DIR"
else
CMD="$CMD --debug-mode --compose-dir=$TARGET_DIR/$COMPOSE_ID"
fi
time $CMD
ret_val=$?
if [[ "$ret_val" != "0" ]]; then
if [[ "$MAILNOTIF" == "yes" ]]; then
echo "This is a notification that a recent lookahead $SHORT compose failed on $(hostname)" | mutt -e "set from=\"$FROM\"" \
-e 'set envelope_from=yes' \
-s "Compose $NEWCOMPOSE_ID failed (for Rocky Linux $REVISION)" \
releng@rockylinux.org
fi
exit 1
fi